Bug 167269 - New port: devel/rubygem-backports backports ruby 1.9 api changes to 1.8
Summary: New port: devel/rubygem-backports backports ruby 1.9 api changes to 1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-24 19:10 UTC by Bryan Drewery
Modified: 2012-05-09 15:04 UTC (History)
0 users

See Also:


Attachments
file.shar (1.70 KB, text/plain)
2012-04-24 19:10 UTC, Bryan Drewery
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Drewery 2012-04-24 19:10:09 UTC
This adds the backports rubygem, which brings Ruby1.9 api changes into Ruby1.8, to help write more portable ruby scripts for 1.9 and have them still work with 1.8.

The goal of backports is to make it easier to write ruby code that runs across different versions of Ruby.

shar file attached.

LICENSE: MIT
WWW: https://github.com/marcandre/backports

Fix: Patch attached with submission follows:
Comment 1 Ade Lovett freebsd_committer 2012-04-24 19:22:47 UTC
Class Changed
From-To: sw-bug->change-request

Fix assignment. 


Comment 2 Ade Lovett freebsd_committer 2012-04-24 19:22:47 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Fix assignment.
Comment 3 Steve Wills freebsd_committer 2012-05-08 19:50:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 4 Steve Wills freebsd_committer 2012-05-09 15:04:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!